cpudists(1m)

NAME
cpudists - CPU distrib. by Kernel/Idle/Process. Uses DTrace.

SYNOPSIS
cpudists [-ahV] [-t top] [interval [count]]

DESCRIPTION
cpudists prints the CPU time distributions consumed by the Kernel, Idle threads and by Processes. This program is a variant on cputimes, and creates extra kernel load as described in cputimes(1M). cpudists prints out a distribution report (a quantize aggregation), such that the number of occurrences and duration of each thread using the CPUs can be identified. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
stable - needs the sysinfo and sched providers.

OPTIONS

-a  print all processes

-T  print totals

-V  don't print timestamps

-t num
    print top num lines only

EXAMPLES

Default, print Kernel/Idle/Process time, 1 x 1 second sample,
    # cpudists

Print every 1 second,
    # cpudists 1

Print all processes every 10 seconds,
    # cpudists -a 10

Print top 8 lines every 5 seconds,
    # cpudists -at 8 5

FIELDS

IDLE
    Idle time - CPU running idle thread

KERNEL
    Kernel time - Kernel servicing interrupts, ...

PROCESS
    Process time - PIDs running on the system

value
    Time in nanoseconds

count
    Number of occurrences that were at least this duration (ns)

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
cpudists will run once, unless a count is specified.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M), vmstat(1M)